Skip to main content
Weavr API
Corporates

Get the submitted KYB account-usage profile for a corporate

GET/corporates/{corporateId}/kyb/profile

Returns the account-usage profile submitted to pre-populate the KYB of the corporate identified by the corporateId path parameter, so you can check what was recorded.

See Submit the KYB account-usage profile for a corporate for what the profile covers.

Request

Available on
SandboxProductionMock server

Path parameters

Responses

200OK

Success

Headers
Body
application/json
{}
CorporateKybProfileResponseSchemaCorporateKybProfileResponseSchema · object · 1 field
Response example
{  "profile": {    "fundingOrigin": "string",    "fundingOriginCountries": [      "string"    ],    "fundingTransactionCountMonthly": "string",    "fundingTransactionValueMonthly": "string",    "collectionsEnabled": true,    "collectionsPurpose": "string",    "collectionsOrigin": "string",    "collectionsOriginCountries": [      "string"    ],    "collectionsTransactionCountMonthly": "string",    "collectionsTransactionValueMonthly": "string",    "withdrawalDestination": "string",    "withdrawalDestinationCountries": [      "string"    ],    "withdrawalTransactionCountMonthly": "string",    "withdrawalTransactionValueMonthly": "string",    "payoutsEnabled": true,    "payoutsPurpose": "string",    "payoutsDestination": "string",    "payoutsDestinationCountries": [      "string"    ],    "payoutsTransactionCountMonthly": "string",    "payoutsTransactionValueMonthly": "string",    "cardsEnabled": true,    "cardsTransactionCountMonthly": "string",    "cardsTransactionValueMonthly": "string",    "cardsPurpose": "string",    "cardsCardholderCount": "string",    "industry": "ACCOUNTING",    "sourceOfFunds": "LABOUR_CONTRACT",    "sourceOfFundsIsOther": "string",    "companyType": "SOLE_TRADER",    "customerOperatesSolelyInPermittedIndustries": true,    "customerOperatesSolelyInPermittedJurisdictions": true,    "isTheBusinessModelOfTheCustomerClear": "string",    "doesTheCustomersIntendedUsageAlignToTheirBusinessActivity": true,    "doesTheCustomersIntendedUsageAlignToTheirBusinessActivityComment": "string",    "websiteUrl": "string",    "tradingName": "string"  }}